%{?mingw_package_header}

%global mingw_pkg_name eigen3

Name:           mingw-%{mingw_pkg_name}
Version:        3.1.2
Release:        1%{?dist}
Summary:        MinGW lightweight C++ template library for vector and matrix math
BuildArch:      noarch
Group:          Development/Libraries
# See COPYING.README
License:        MPLv2.0 and LGPLv2+ and BSD
URL:            http://eigen.tuxfamily.org/index.php?title=Main_Page
# Source file is at: http://bitbucket.org/eigen/eigen/get/3.1.2.tar.bz2
# Renamed source file so it's not just a version number
Source0:        eigen-%{version}.tar.bz2
# Since we are crosscompiling, read the comment in the file for details
Source1:        TryRunResults.cmake

# Fixes build by adding the cstdef to a source file. (Not yet submitted upstream)
Patch0:         eigen-3.0.0.ptrdiff.patch
# Hack to stop cmake throwing an error because it could not determine the windows version
Patch1:         eigen-3.1.2_osversion.patch
# Silence gcc4.8 warnings about unused typedefs
Patch2:         eigen3_unused-typedefs.patch

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw32-gcc-gfortran
BuildRequires:  mingw64-gcc-gfortran
BuildRequires:  cmake

Requires: pkgconfig

%description
%{summary}

# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:                %{summary}

%description -n mingw32-%{mingw_pkg_name}
%{summary}

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:                %{summary}

%description -n mingw64-%{mingw_pkg_name}
%{summary}

%prep
%setup -q -n eigen-eigen-5097c01bcdc4
%patch0 -p0
%patch1 -p2
%patch2 -p2

%build
%mingw_cmake -C %{SOURCE1} -DEIGEN_BUILD_PKGCONFIG:BOOL=ON

%install
rm -rf %{buildroot}
%mingw_make install DESTDIR=%{buildroot}

%files -n mingw32-%{mingw_pkg_name}
%doc COPYING.BSD COPYING.LGPL COPYING.MPL2 COPYING.README
%{mingw32_includedir}/eigen3
%{mingw32_datadir}/pkgconfig/*

%files -n mingw64-%{mingw_pkg_name}
%doc COPYING.BSD COPYING.LGPL COPYING.MPL2 COPYING.README
%{mingw64_includedir}/eigen3
%{mingw64_datadir}/pkgconfig/*

%changelog
* Tue Mar 05 2013 Sandro Mani <manisandro@gmail.com> - 3.1.2-1
- Initial fedora package
